## Dev

```
make dev
```

To setup the dev env.

## Connect to the database

```
docker run -it --rm --link canape_postgresql_dev:postgres postgres:9.5 psql -h postgres -U test
```

## Run the tests


```
make test
```

## To clean up

```
make clean
```

## Debian user

If you use debian the node binary is named nodejs you have to symlink it to node:

```
# ln -s /usr/bin/nodejs /usr/bin/node
```

## Build

Install npm depedencies

```
npm install
```

Then run build

```
npm run build

```

## Watch js and less update

```
npm run watch
```

## Auto reload web server

First install fresh

```
go get github.com/pilu/fresh
```

Then run it

```
fresh -c fresh.conf
```
